org.red5.server.net.rtmp

## Class RTMPConnManager

- java.lang.Object
- - org.red5.server.net.rtmp.RTMPConnManager

All Implemented Interfaces:
  IRTMPConnManager, org.springframework.context.ApplicationContextAware

    public class RTMPConnManager
    extends Object
    implements IRTMPConnManager, org.springframework.context.ApplicationContextAware

### Constructor Summary

Constructors
Constructor and Description
`RTMPConnManager()`

### Method Summary

Methods
`RTMPConnection` `createConnection(Class<?> connCls)`
`RTMPConnection` `createConnectionInstance(Class<?> cls)`
`RTMPConnection` `getConnection(int clientId)`
`RTMPConnection` `removeConnection(int clientId)`
`Collection<RTMPConnection>` `removeConnections()`
`void` `setApplicationContext(org.springframework.context.ApplicationContext appCtx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RTMPConnManager

    public RTMPConnManager()

### Method Detail

#### createConnection

    public RTMPConnection createConnection(Class<?> connCls)

Specified by:
  `createConnection` in interface `IRTMPConnManager`

#### getConnection

    public RTMPConnection getConnection(int clientId)

Specified by:
  `getConnection` in interface `IRTMPConnManager`

#### removeConnection

    public RTMPConnection removeConnection(int clientId)

Specified by:
  `removeConnection` in interface `IRTMPConnManager`

#### removeConnections

    public Collection<RTMPConnection> removeConnections()

Specified by:
  `removeConnections` in interface `IRTMPConnManager`

#### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext appCtx)
                               throws org.springframework.beans.BeansException

Specified by:
  `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
Throws:
  `org.springframework.beans.BeansException`

#### createConnectionInstance

    public RTMPConnection createConnectionInstance(Class<?> cls)
                                            throws Exception

Throws:
  `Exception`